Bug 970834 - [abrt] 0ad-0.0.13-1.fc18: util_format_read_4f: Process /usr/bin/pyrogenesis was killed by signal 11 (SIGSEGV)
[abrt] 0ad-0.0.13-1.fc18: util_format_read_4f: Process /usr/bin/pyrogenesis w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:383f8892fa616065b61088cd562...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 23:43 EDT by ahs10
Modified: 2014-02-05 16:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:40:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.61 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: core_backtrace (2.39 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: dso_list (7.96 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: environ (1.42 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: maps (27.78 KB, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: open_fds (815 bytes, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: proc_pid_status (799 bytes, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details
File: var_log_messages (304 bytes, text/plain)
2013-06-04 23:43 EDT, ahs10
no flags Details

  None (edit)
Description ahs10 2013-06-04 23:43:09 EDT
Description of problem:
1 Run the game
2 Start a new, single player game
3 Click the "Start Game" button
4 The game begins to load, the loading bar reaches 100%, and then the game crashes and window closes
5 Moments later I'm alerted by ABRT of this signal 11 error

I have experience this same error, on a different process, for other games as well.

Version-Release number of selected component:
0ad-0.0.13-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: util_format_read_4f
executable:     /usr/bin/pyrogenesis
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
uid:            1000
xsession_errors: /usr/bin/0ad: line 4: 25058 Segmentation fault      (core dumped) LD_LIBRARY_PATH=/usr/lib/0ad /usr/bin/pyrogenesis "$@"

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 util_format_read_4f at util/u_format.c:209
 #2 nv50_emit_vtxattr at nv50_vbo.c:146
 #3 nv50_vertex_arrays_validate at nv50_vbo.c:359
 #4 nv50_state_validate at nv50_state_validate.c:394
 #5 nv50_draw_vbo at nv50_vbo.c:745
 #6 cso_draw_vbo at cso_cache/cso_context.c:1406
 #7 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
 #8 vbo_handle_primitive_restart at ../../src/mesa/vbo/vbo_exec_array.c:549
 #9 vbo_validated_drawrangeelements at ../../src/mesa/vbo/vbo_exec_array.c:968
 #10 vbo_exec_DrawRangeElementsBaseVertex at ../../src/mesa/vbo/vbo_exec_array.c:1076
Comment 1 ahs10 2013-06-04 23:43:13 EDT
Created attachment 757037 [details]
File: backtrace
Comment 2 ahs10 2013-06-04 23:43:16 EDT
Created attachment 757038 [details]
File: cgroup
Comment 3 ahs10 2013-06-04 23:43:19 EDT
Created attachment 757039 [details]
File: core_backtrace
Comment 4 ahs10 2013-06-04 23:43:21 EDT
Created attachment 757040 [details]
File: dso_list
Comment 5 ahs10 2013-06-04 23:43:24 EDT
Created attachment 757041 [details]
File: environ
Comment 6 ahs10 2013-06-04 23:43:27 EDT
Created attachment 757042 [details]
File: limits
Comment 7 ahs10 2013-06-04 23:43:30 EDT
Created attachment 757043 [details]
File: maps
Comment 8 ahs10 2013-06-04 23:43:33 EDT
Created attachment 757044 [details]
File: open_fds
Comment 9 ahs10 2013-06-04 23:43:35 EDT
Created attachment 757045 [details]
File: proc_pid_status
Comment 10 ahs10 2013-06-04 23:43:38 EDT
Created attachment 757046 [details]
File: var_log_messages
Comment 11 Paulo Andrade 2013-06-05 20:01:19 EDT
Can you confirm it still happens after updating to latest
fedora 18?

I have a computer with a nvidia card (rawhide) and another
with an intel card (f18/f19) where I test my packages, and
noticed that 0ad was broken for some time like your crash
in the rawhide computer, but after the latest rawhide
update it started working again.

Note that the backtrace points to a null function pointer
call in/from the nouveau driver.
Comment 12 Fedora End Of Life 2013-12-21 08:52:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:40:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.